svn commit: trunk/busybox/scripts

aldot at busybox.net aldot at busybox.net
Thu Oct 23 13:49:22 UTC 2008


Author: aldot
Date: 2008-10-23 06:49:21 -0700 (Thu, 23 Oct 2008)
New Revision: 23771

Log:
- give glob a chance
  CROSS_COMPILE=~/foo-bar-baz would fail otherwise
  See http://www.uclibc.org/lists/buildroot/2008-October/011191.html


Modified:
   trunk/busybox/scripts/trylink


Changeset:
Modified: trunk/busybox/scripts/trylink
===================================================================
--- trunk/busybox/scripts/trylink	2008-10-23 11:58:50 UTC (rev 23770)
+++ trunk/busybox/scripts/trylink	2008-10-23 13:49:21 UTC (rev 23771)
@@ -41,9 +41,8 @@
     printf "%s\n" "$*" >>$EXE.out
     printf "%s\n" "==========" >>$EXE.out
     $debug && echo "Trying: $*"
-    "$@" >>$EXE.out 2>&1
-    exitcode=$?
-    return $exitcode
+    $@ >>$EXE.out 2>&1
+    return $?
 }
 
 check_cc() {




More information about the busybox-cvs mailing list